Bug 59021 - something messes up perms of /var/spool/cups, /var/spool/cups/tmp?
Summary: something messes up perms of /var/spool/cups, /var/spool/cups/tmp?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cups   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-29 15:15 UTC by Jonathan Kamens
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-17 10:11:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2002-01-29 15:15:33 UTC
According to the cups RPM, /var/spool/cups and /var/spool/cups/tmp are supposed
to be owned by user "lp" and group "root".  But after installing cups yesterday,
I see that both directories are owned by group "sys" instead of "root"; it would
appear that something changed their ownership after rpm created the directories
during installation.  Either whatever changed the ownership should be fixed not
to do that, or the RPM should be updated to indicate the correct group ownership
(i.e., "sys" instead of "root").

Comment 1 Jonathan Kamens 2002-01-31 15:56:28 UTC
I just updated to cups-1.1.13-1, and there still appear to be permissions
issues.  Now /etc/cups, /etc/cups/certs, /etc/cups/classes.conf,
/etc/cups/cupsd.conf, /etc/cups/ppd, and /etc/cups/printers.conf all have
different permissions than the RPm says they should have.


Comment 2 Tim Waugh 2002-10-07 10:16:46 UTC
I suspect cupsd is changing this.  RPM specfile needs to reflect this.

Comment 3 Tim Waugh 2002-10-18 13:17:10 UTC
Fixed in cups-1.1.15-12.


Note You need to log in before you can comment on or make changes to this bug.